#
# Conditional build:
%bcond_without  python2 # Python 2.x module
%bcond_without  python3 # Python 3.x module

%define	module	astroid
Summary:	An abstract syntax tree for Python 2 with inference support
Summary(pl.UTF-8):	Abstrakcyjnego drzewa składniowe dla Pythona 2 z obsługą wywodu
Name:		python-%{module}
Version:	1.4.1
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/pypi/astroid/
Source0:	https://pypi.python.org/packages/source/a/astroid/astroid-%{version}.tar.gz
# Source0-md5:	a75975473d7d1d381dbd6f8370251f1a
Patch0:		modules_without_sources.patch
URL:		http://www.astroid.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools >= 7.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%endif
Requires:	python-logilab-common >= 0.60.0
Requires:	python-modules >= 1:2.7
Requires:	python-six
Obsoletes:	python-logilab-astng
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of this module is to provide a common base representation of
Python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is
essentially governed by pylint's needs. It used to be called
logilab-astng.

%description -l pl.UTF-8
Celem tego modułu jest dostarczenie wspólnej bazowej reprezentacji
kodu źródłowego Pythona dla projektów takich jak pychecker, pyreverse,
pylint... Właściwie tworzenie tej biblioteki jest istotnie kierowane
potrzebami pylinta. Dawniej nazywała się logilab-astng.

%package -n python3-%{module}
Summary:	An abstract syntax tree for Python 3 with inference support
Summary(pl.UTF-8):	Abstrakcyjnego drzewa składniowe dla Pythona 3 z obsługą wywodu
Group:		Development/Languages/Python
Requires:	python3-logilab-common >= 0.60.0
Requires:	python3-modules >= 1:3.3
Requires:	python3-six
Obsoletes:	python3-logilab-astng

%description -n python3-%{module}
The aim of this module is to provide a common base representation of
Python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is
essentially governed by pylint's needs. It used to be called
logilab-astng.

%description -n python3-%{module} -l pl.UTF-8
Celem tego modułu jest dostarczenie wspólnej bazowej reprezentacji
kodu źródłowego Pythona dla projektów takich jak pychecker, pyreverse,
pylint... Właściwie tworzenie tej biblioteki jest istotnie kierowane
potrzebami pylinta. Dawniej nazywała się logilab-astng.

%prep
%setup -q -n %{module}-%{version}

%patch0 -p1
# drop python 2.5 egg deps
%{__rm} */*/*/*/*/*py2.5.egg

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build --build-base=build3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install
%endif

%if %{with python2}
%py_install

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{py_sitescriptdir}/astroid
%{py_sitescriptdir}/astroid-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ChangeLog README
%{py3_sitescriptdir}/astroid
%{py3_sitescriptdir}/astroid-%{version}-py*.egg-info
%endif
%changelog
* Sat Aug 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-astroid.git;a=log;h=master

* Mon Dec 07 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> cd33eed
- Version: 1.4.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 93287a3
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fe0b61d
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 08f50e0
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c15001d
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 021386a
- python 3.5 rebuild
- release 3 (by relup.sh)

* Wed Jun 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 424da30
- updated summaries, noted download URL

* Thu Jun 11 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 60fa468
- Add support for loading modules with no sources

* Thu Jun 11 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> efa8ca8
- Version: 1.3.6

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> cb6eeb9
- x32 rebuild
- release 2 (by relup.sh)

* Thu Nov 27 2014 Jakub Bogusz <qboosh@pld-linux.org> b42224b
- updated supported Python versions, six instead of 2to3

* Tue Nov 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 389dcac
- up to 1.3.2

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a76083c
- python 3.4
- release 2 (by relup.sh)

* Thu May 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> d2cf5d5
- Version: 1.1.1

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 7e600b4
- updated to 1.0.1

* Sat Dec 14 2013 Jan Rękorajski <baggins@pld-linux.org> ea88bfe
- obsolete logilab-astng
- rel 2

* Sun Sep 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 86ae2ef
- updated pl descriptions and logilab-common dependencies

* Sat Sep 07 2013 Artur Frysiak <artur@frysiak.net> 8dd567a
- Adapterized

* Sat Sep 07 2013 Artur Frysiak <artur@frysiak.net> 935ded5
- Renamed from logilab-astng to astroid, up to 1.0.0

* Mon May 27 2013 Jacek Konieczny <jajcus@jajcus.net> 8f19419
- bconds fix

